Package: groovy.ui.text

## [Java] Class StructuredSyntaxDocumentFilter.LexerNode

- groovy.ui.text.StructuredSyntaxDocumentFilter.LexerNode

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Style` | `getDefaultStyle()`
    `` | `boolean` | `isInitialized()` Returns: true if initialised
    `` | `void` | `parse(CharBuffer buffer, int offset, int length)` Parameters: buffer
    `` | `void` | `putChild(String regexp, LexerNode node)` Parameters: regexp
    `` | `void` | `putChild(String[] regexps, LexerNode node)` Parameters: regexps
    `` | `void` | `putStyle(String regexp, Style style)` Parameters: regexp
    `` | `void` | `putStyle(String[] regexps, Style style)` Parameters: regexps
    `` | `void` | `removeChild(String regexp)` Parameters: regexp
    `` | `void` | `removeStyle(String regexp)` Parameters: regexp
    `` | `void` | `removeStyle(String[] regexps)` Parameters: regexps
    `` | `void` | `setDefaultStyle(Style style)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public Style getDefaultStyle()

    - #### public boolean isInitialized()

      Returns:
        true if initialised

    - #### public void parse(CharBuffer buffer, int offset, int length)

      throws:
        BadLocationException
      Parameters:
        buffer
        offset
        length

    - #### public void putChild(String regexp, LexerNode node)

      Parameters:
        regexp
        node

    - #### public void putChild(String[] regexps, LexerNode node)

      Parameters:
        regexps
        node

    - #### public void putStyle(String regexp, Style style)

      Parameters:
        regexp
        style

    - #### public void putStyle(String[] regexps, Style style)

      Parameters:
        regexps
        style

    - #### public void removeChild(String regexp)

      Parameters:
        regexp

    - #### public void removeStyle(String regexp)

      Parameters:
        regexp

    - #### public void removeStyle(String[] regexps)

      Parameters:
        regexps

    - #### public void setDefaultStyle(Style style)